Bug 41194 - Anaconda installer throw exception and crashed.
Anaconda installer throw exception and crashed.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-17 23:52 EDT by huan loh
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 11:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description huan loh 2001-05-17 23:52:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1852, in 
doInstall
    (p, self.intf.messageWindow, pkgTimer))
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1564, in 
instCallback
    fn = self.method.getFilename(h, pkgTimer)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 82, in 
getFilename
    f = open("/mnt/source/" + key)
IOError: [Errno 2] No such file or directory: '/mnt/source/.disc1-i386'

Local variables in innermost frame:
timer: <timer.Timer instance at 9e73dd0>
self: <image.CdromInstallMethod instance at 844bdd8>
key: .disc1-i386
h: <header object at 86df0c0>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'1024x768'
p4
sS'progressWindow'
p5
(igui
ProgressWindow
(dp6
S'total'
p7
I491
sS'window'
p8
(igtk
GtkWindow
(dp9
S'_o'
p10

<failed>


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 7.1
2.
3.
	

Actual Results:  Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1852, in 
doInstall
    (p, self.intf.messageWindow, pkgTimer))
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1564, in 
instCallback
    fn = self.method.getFilename(h, pkgTimer)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 82, in 
getFilename
    f = open("/mnt/source/" + key)
IOError: [Errno 2] No such file or directory: '/mnt/source/.disc1-i386'

Local variables in innermost frame:
timer: <timer.Timer instance at 9e73dd0>
self: <image.CdromInstallMethod instance at 844bdd8>
key: .disc1-i386
h: <header object at 86df0c0>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'1024x768'
p4
sS'progressWindow'
p5
(igui
ProgressWindow
(dp6
S'total'
p7
I491
sS'window'
p8
(igtk
GtkWindow
(dp9
S'_o'
p10

<failed>


Additional info:
Comment 1 Brent Fox 2001-05-18 15:27:14 EDT
I think you might have a bad cd.  Can you look on VC3 and VC4 and see if there
are any cdrom read or seek error messages?
Comment 2 Brent Fox 2001-05-29 11:26:43 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.